diff --git a/sys/vfs/nfs/nfsm_subs.c b/sys/vfs/nfs/nfsm_subs.c
index 2240b5b..92213c3 100644
--- a/sys/vfs/nfs/nfsm_subs.c
+++ b/sys/vfs/nfs/nfsm_subs.c
@@ -113,7 +113,7 @@ static u_int32_t nfs_xid = 0;
 void
 nfsm_reqhead(nfsm_info_t info, struct vnode *vp, u_long procid, int hsiz)
 {
-	info->mb = m_getl(hsiz, MB_WAIT, MT_DATA, 0, NULL);
+	info->mb = m_getl(hsiz, M_WAITOK, MT_DATA, 0, NULL);
 	info->mb->m_len = 0;
 	info->mreq = info->mb;
 	info->bpos = mtod(info->mb, caddr_t);
@@ -140,7 +140,7 @@ nfsm_rpchead(struct ucred *cr, int nmflag, int procid, int auth_type,
 
 	authsiz = nfsm_rndup(auth_len);
 	dsiz = authsiz + 10 * NFSX_UNSIGNED;
-	info.mb = m_getl(dsiz, MB_WAIT, MT_DATA, M_PKTHDR, NULL);
+	info.mb = m_getl(dsiz, M_WAITOK, MT_DATA, M_PKTHDR, NULL);
 	if (dsiz < MINCLSIZE) {
 		if (dsiz < MHLEN)
 			MH_ALIGN(info.mb, dsiz);
@@ -198,7 +198,8 @@ nfsm_rpchead(struct ucred *cr, int nmflag, int procid, int auth_type,
 		siz = auth_len;
 		while (siz > 0) {
 			if (M_TRAILINGSPACE(info.mb) == 0) {
-				mb2 = m_getl(siz, MB_WAIT, MT_DATA, 0, NULL);
+				mb2 = m_getl(siz, M_WAITOK, MT_DATA, 0,
+					     NULL);
 				mb2->m_len = 0;
 				info.mb->m_next = mb2;
 				info.mb = mb2;
@@ -229,7 +230,7 @@ nfsm_rpchead(struct ucred *cr, int nmflag, int procid, int auth_type,
 		siz = verf_len;
 		while (siz > 0) {
 			if (M_TRAILINGSPACE(info.mb) == 0) {
-				mb2 = m_getl(siz, MB_WAIT, MT_DATA,
+				mb2 = m_getl(siz, M_WAITOK, MT_DATA,
 						  0, NULL);
 				mb2->m_len = 0;
 				info.mb->m_next = mb2;
@@ -266,7 +267,7 @@ nfsm_build(nfsm_info_t info, int bytes)
 	void *ptr;
 
 	if (bytes > M_TRAILINGSPACE(info->mb)) {
-		MGET(mb2, MB_WAIT, MT_DATA);
+		MGET(mb2, M_WAITOK, MT_DATA);
 		if (bytes > MLEN)
 			panic("build > MLEN");
 		info->mb->m_next = mb2;
@@ -973,7 +974,7 @@ _nfsm_clget(nfsm_info_t info, struct mbuf **mp1, struct mbuf **mp2,
 	if (*bp >= *be) {
 		if (*mp1 == info->mb)
 			(*mp1)->m_len += *bp - info->bpos;
-		*mp1 = m_getcl(MB_WAIT, MT_DATA, 0);
+		*mp1 = m_getcl(M_WAITOK, MT_DATA, 0);
 		(*mp1)->m_len = MCLBYTES;
 		(*mp2)->m_next = *mp1;
 		*mp2 = *mp1;
@@ -1199,9 +1200,9 @@ nfsm_uiotombuf(struct uio *uiop, struct mbuf **mq, int siz, caddr_t *bpos)
 			mlen = M_TRAILINGSPACE(mp);
 			if (mlen == 0) {
 				if (getcluster)
-					mp = m_getcl(MB_WAIT, MT_DATA, 0);
+					mp = m_getcl(M_WAITOK, MT_DATA, 0);
 				else
-					mp = m_get(MB_WAIT, MT_DATA);
+					mp = m_get(M_WAITOK, MT_DATA);
 				mp->m_len = 0;
 				mp2->m_next = mp;
 				mp2 = mp;
@@ -1231,7 +1232,7 @@ nfsm_uiotombuf(struct uio *uiop, struct mbuf **mq, int siz, caddr_t *bpos)
 	}
 	if (rem > 0) {
 		if (rem > M_TRAILINGSPACE(mp)) {
-			MGET(mp, MB_WAIT, MT_DATA);
+			MGET(mp, M_WAITOK, MT_DATA);
 			mp->m_len = 0;
 			mp2->m_next = mp;
 		}
@@ -1273,9 +1274,9 @@ nfsm_biotombuf(struct bio *bio, struct mbuf **mq, int off,
 		mlen = M_TRAILINGSPACE(mp);
 		if (mlen == 0) {
 			if (getcluster)
-				mp = m_getcl(MB_WAIT, MT_DATA, 0);
+				mp = m_getcl(M_WAITOK, MT_DATA, 0);
 			else
-				mp = m_get(MB_WAIT, MT_DATA);
+				mp = m_get(M_WAITOK, MT_DATA);
 			mp->m_len = 0;
 			mp2->m_next = mp;
 			mp2 = mp;
@@ -1289,7 +1290,7 @@ nfsm_biotombuf(struct bio *bio, struct mbuf **mq, int off,
 	}
 	if (rem > 0) {
 		if (rem > M_TRAILINGSPACE(mp)) {
-			MGET(mp, MB_WAIT, MT_DATA);
+			MGET(mp, M_WAITOK, MT_DATA);
 			mp->m_len = 0;
 			mp2->m_next = mp;
 		}
@@ -1334,7 +1335,7 @@ nfsm_disct(struct mbuf **mdp, caddr_t *dposp, int siz, int left, caddr_t *cp2)
 	} else if (siz > MHLEN) {
 		panic("nfs S too big");
 	} else {
-		MGET(mp2, MB_WAIT, MT_DATA);
+		MGET(mp2, M_WAITOK, MT_DATA);
 		mp2->m_next = mp->m_next;
 		mp->m_next = mp2;
 		mp->m_len -= left;
@@ -1421,7 +1422,7 @@ nfsm_strtmbuf(struct mbuf **mb, char **bpos, const char *cp, long siz)
 	while (siz > 0) {
 		int msize;
 
-		m1 = m_getl(siz, MB_WAIT, MT_DATA, 0, &msize);
+		m1 = m_getl(siz, M_WAITOK, MT_DATA, 0, &msize);
 		m1->m_len = msize;
 		m2->m_next = m1;
 		m2 = m1;
diff --git a/tools/tools/netrate/pktgen/pktgen.c b/tools/tools/netrate/pktgen/pktgen.c
index d9897c9..d15129f 100644
--- a/tools/tools/netrate/pktgen/pktgen.c
+++ b/tools/tools/netrate/pktgen/pktgen.c
@@ -30,8 +30,6 @@
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
  * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- * 
- * $DragonFly: src/tools/tools/netrate/pktgen/pktgen.c,v 1.4 2008/04/02 14:18:55 sephe Exp $
  */
 
 #define _IP_VHL
@@ -442,7 +440,7 @@ pktgen_start_ifsq_handler(netmsg_t nmsg)
 	 */
 	next = &head;
 	for (i = 0; i < alloc_cnt; ++i) {
-		MGETHDR(m, MB_WAIT, MT_DATA);
+		MGETHDR(m, M_WAITOK, MT_DATA);
 		*next = m;
 		next = &m->m_nextpkt;
 	}
@@ -587,7 +585,7 @@ pktgen_buf_send(netmsg_t msg)
 	lwkt_replymsg(&pb->pb_nmsg.lmsg, 0);
 	crit_exit();
 
-	MGETHDR(m, MB_WAIT, MT_DATA);
+	MGETHDR(m, M_WAITOK, MT_DATA);
 	pktgen_mbuf(pb, m);
 	ifq_dispatch(pb->pb_ifp, m, NULL);
 }
@@ -624,7 +622,7 @@ pktgen_buf_free(void *arg)
 		return;
 	}
 
-	MGETHDR(m, MB_WAIT, MT_DATA);
+	MGETHDR(m, M_WAITOK, MT_DATA);
 	pktgen_mbuf(pb, m);
 	ifsq_enqueue(pb->pb_ifsq, m, NULL);
 }
-- 
1.9.3

